package com.hzya.frame.sys.org.dao.impl;

import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.sys.org.dao.IOrgMapper;
import com.hzya.frame.sys.org.entity.Org;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * @description: 组织机构管理  dao
 * @tableName: sys_org
 * @entityName: Org
 * @author: gjh
 * @history:1.0
 */
@Service
public class OrgMapperImpl extends MybatisGenericDao<Org, String> implements IOrgMapper {

    @Override
    public Org entity_get(String id) {

        Org o = (Org) super.selectOne(getSqlIdPrifx() + "entity_get", id);
        return o;

    }

    //查询 采用==查询   entity_list_base
    @Override
    public List<Org> entity_list_base(Org entity) {

        List<Org> o = super.query(getSqlIdPrifx() + "entity_list_base", entity);
        return o;

    }

    //  查询符合条件的数量
    @Override
    public Integer entity_count(Org entity) {

        Integer o = (Integer) super.selectOne(getSqlIdPrifx() + "entity_count", entity);
        return o;

    }

    //分页查询列表 采用like格式 entity_list_like
    @Override
    public List<Org> entity_list_like(Org entity) {

        List<Org> o = super.query(getSqlIdPrifx() + "entity_list_like", entity);
        return o;

    }

    //查询列表 字段采用or格式   entity_list_or
    @Override
    public List<Org> entity_list_or(Org entity) {

        List<Org> o = super.query(getSqlIdPrifx() + "entity_list_or", entity);
        return o;

    }

    //新增  entity_insert
    @Override
    public Org entity_insert(Org entity) {

        Org o = super.save(getSqlIdPrifx() + "entity_insert", entity);
        return o;

    }

    //修改  entity_update
    @Override
    public Integer entity_update(Org entity) {

        Integer o = super.update(getSqlIdPrifx() + "entity_update", entity);
        return o;

    }

    //逻辑删除    entity_delete
    @Override
    public Integer entity_logicDelete(Org entity) {
        Integer o = super.update(getSqlIdPrifx() + "entity_logicDelete", entity);
        return o;
    }

    //逻辑删除多条件
    @Override
    public Integer entity_logicDelete_Multi_Condition(Org entity) {
        Integer o = super.update(getSqlIdPrifx() + "entity_logicDelete_Multi_Condition", entity);
        return o;
    }

    //物理删除
    @Override
    public Integer entity_delete(Org entity) {

        Integer o = super.update(getSqlIdPrifx() + "entity_delete", entity);
        return o;

    }
}
